跳转到内容

续期会员资格(自助)

POST
/v1/me/membership/renew
curl --request POST \
--url https://api.vimine.network/v1/me/membership/renew \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accept_statuto": { "version": 1, "sha256": "example" } }'

须在续期窗口内(到期前 60 天以内,或已到期之后)。无需审批的免费会员卡类型会立即续期(renewed: true,新的 expires_at);否则会记录一份续期申请并通知协会(requested: true)——秘书处记录会费或予以批准后,续期即完成。accept_statuto 必须指明现行章程。重复提交请求不会产生任何效果。

媒体类型application/json
object
accept_statuto
必填
object
version
必填
integer
sha256
string
示例自动生成
{
"accept_statuto": {
"version": 1,
"sha256": "example"
}
}

已续期或已提交申请

媒体类型application/json
object
renewed
boolean
requested
boolean
status
string
expires_at
string 格式: date-time
可为 null
renewal_requested_at
string 格式: date-time
可为 null
示例自动生成
{
"renewed": true,
"requested": true,
"status": "example",
"expires_at": "2026-04-15T12:00:00Z",
"renewal_requested_at": "2026-04-15T12:00:00Z"
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少凭据或凭据无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

无权操作

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

不在续期窗口内(too_early),或该会员资格无法续期(not_renewable)

accept_statuto 指明的不是现行章程

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}